Package org.fife.ui.rsyntaxtextarea.parser

## Class ToolTipInfo

- java.lang.Object
- - org.fife.ui.rsyntaxtextarea.parser.ToolTipInfo

-     public class ToolTipInfo
      extends Object

  Wrapper for a tool tip and a listener for hyperlink events in the tool tip (assuming the tip is HTML). If the `RSyntaxTextArea` instance has `FocusableTip`s enabled, and the user clicks on a hyperlink in the tool tip, the specified `HyperlinkListener` will be called.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ToolTipInfo​(String text, HyperlinkListener listener)` | Constructor.
    `ToolTipInfo​(String text, HyperlinkListener l, URL imageBase)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `HyperlinkListener` | `getHyperlinkListener()` | Returns the listener to call when hyperlinks are clicked in the tool tip.
    `URL` | `getImageBase()` | Returns the base URL that any images in the HTML tool tip live in.
    `String` | `getToolTipText()` | Returns the tool tip text to display.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ToolTipInfo

          public ToolTipInfo​(String text,
                             HyperlinkListener listener)

      Constructor.
      Parameters:
        `text` - The tool tip text, or `null` for none.
        `listener` - The hyperlink listener, or `null` for none.

    - #### ToolTipInfo

          public ToolTipInfo​(String text,
                             HyperlinkListener l,
                             URL imageBase)

      Constructor.
      Parameters:
        `text` - The tool tip text, or `null` for none.
        `l` - The hyperlink listener, or `null` for none.
        `imageBase` - The base URL for images in the HTML `text`, or `null` for the default.

  - ### Method Detail

    - #### getHyperlinkListener

          public HyperlinkListener getHyperlinkListener()

      Returns the listener to call when hyperlinks are clicked in the tool tip.
      Returns:
        The listener, or `null` for none.

    - #### getImageBase

          public URL getImageBase()

      Returns the base URL that any images in the HTML tool tip live in. This allows you to reference images in a jar file in your `FocusableTip`s. Note that if what `getToolTipText()` returns isn't HTML, this value is effectively ignored.
      Returns:
        The image base, or `null` for the default.

    - #### getToolTipText

          public String getToolTipText()

      Returns the tool tip text to display.
      Returns:
        The tool tip text, or `null` for none.